<?php
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );
/* 
 * WP Circular Menu - Custom Post Type 
 */

$singular = __( 'WP Circular Menu', 'wp-circular-menu' );
$plural = __( 'WP Circular Menus', 'wp-circular-menu' );
//Used for the rewrite slug below.
$plural_slug = str_replace( ' ', '_', $plural );

//Setup all the labels to accurately reflect this post type.
$labels = array(
	'name' => $plural,
	'singular_name' => $singular,
	'add_new' => __( 'Add New ', 'wp-circular-menu' ),
	'add_new_item' => __( 'Add New ', 'wp-circular-menu' ) . $singular,
	'edit' => __( 'Edit ', 'wp-circular-menu' ),
	'edit_item' => __( 'Edit ', 'wp-circular-menu' ) . $singular,
	'new_item' => __( 'New ', 'wp-circular-menu' ) . $singular,
	'view' => __( 'View ', 'wp-circular-menu' ) . $singular,
	'view_item' => __( 'View ', 'wp-circular-menu' ) . $singular,
	'search_term' => __( 'Search ', 'wp-circular-menu' ) . $plural,
	'parent' => __( 'Parent ', 'wp-circular-menu' ) . $singular,
	'not_found' => __( 'No ', 'wp-circular-menu' ) . $plural . __( ' found', 'wp-circular-menu' ),
	'not_found_in_trash' => __( 'No ', 'wp-circular-menu' ) . $plural . __( ' in Trash', 'wp-circular-menu' )
);

//Define all the arguments for this post type.
$args = array(
	'labels' => $labels,
	'public' => false,	
	'publicly_queryable' => false,
	'exclude_from_search' => true,
	'show_in_nav_menus' => false,
	'show_ui' => true,
	'show_in_menu' => true,
	'show_in_admin_bar' => true,
	'menu_position' => 70,
	'menu_icon' => 'dashicons-dashboard',
	'can_export' => true,
	'delete_with_user' => false,
	'hierarchical' => false,
	'has_archive' => false,
	'query_var' => false,
	'capability_type' => 'page',
	'map_meta_cap' => true,
	// 'capabilities' => array(),
	'rewrite' => array(
		'slug' => strtolower( $plural_slug ),
		'with_front' => true,
		'pages' => true,
		'feeds' => false,
	),
	'supports' => array(
		'title'
	)
);
register_post_type( 'wpcm_menu', $args );

